6.0.0-git
2019-05-21

[#14609] Resources are now considered as private
Summary Resources are now considered as private
Queue Kronolith
Queue Version FRAMEWORK_5_2
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester heinz (at) htl-steyr (dot) ac (dot) at
Created 2017-04-11 (770 days ago)
Due
Updated 2017-10-20 (578 days ago)
Assigned 2017-04-12 (769 days ago)
Resolved 2017-04-12 (769 days ago)
Milestone
Patch No

History
2017-10-20 20:34:42 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit d724020d53e67ec6757357ffb8738fa4cfc908c7
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu, 13 Apr 2017 16:02:48 -0400

Bug: 14609 Removed the wrong check.

Only consider the resource_management permission when deciding
if we can display the full title or not.

  M lib/Event/Resource/Sql.php

https://github.com/horde/kronolith/commit/d724020d53e67ec6757357ffb8738fa4cfc908c7
2017-10-20 20:34:41 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 3c85acaf1dacd073ee4495423e9ecbeca4177dfc
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed, 12 Apr 2017 13:03:53 -0400

Bug: 14609 Don't hide the reservee, only the title.

It's reasonable to list the person reserving the resource, so someone
knows who to contact about possible conflicts etc...

  M lib/Event/Resource/Sql.php

https://github.com/horde/kronolith/commit/3c85acaf1dacd073ee4495423e9ecbeca4177dfc
2017-04-13 20:04:13 Michael Rubinsky Comment #8 Reply to this comment
I think that the full event title won't be shown to anyone because 
isPrivate() is always returning true
Indeed. I removed the wrong check. Fixed now, thanks.

2017-04-13 20:03:43 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 4c2316af8caa2070756f83fb176dc51da80a3476
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu Apr 13 16:02:48 2017 -0400

     Bug: 14609 Removed the wrong check.

     Only consider the resource_management permission when deciding
     if we can display the full title or not.

  kronolith/lib/Event/Resource/Sql.php | 3 +--
  1 file changed, 1 insertion(+), 2 deletions(-)

http://github.com/horde/horde/commit/4c2316af8caa2070756f83fb176dc51da80a3476
2017-04-12 17:30:48 heinz (at) htl-steyr (dot) ac (dot) at Comment #6 Reply to this comment
This was the original intent. The full event title was only shown to 
users with "Resource Administration" permissions. However, I think 
it's reasonable to show the reservee's name and hide the event title 
instead.
I think that the full event title won't be shown to anyone because 
isPrivate() is always returning true
(because resources don't have any share entry in the dadabase)
and the code
(strlen($this->title) ? sprintf('%s %s', $this->title, $reservee) : 
sprintf(_("[Unnamed event] %s"), $reservee))
is never executed.

2017-04-12 17:09:02 Michael Rubinsky State ⇒ Resolved
 
2017-04-12 17:08:43 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 36f9dd4b796b9d21805e0f1ca919d4bce26465d6
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Apr 12 13:03:53 2017 -0400

     Bug: 14609 Don't hide the reservee, only the title.

     It's reasonable to list the person reserving the resource, so someone
     knows who to contact about possible conflicts etc...

  kronolith/lib/Event/Resource/Sql.php | 2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)

http://github.com/horde/horde/commit/36f9dd4b796b9d21805e0f1ca919d4bce26465d6
2017-04-12 17:02:33 Michael Rubinsky Comment #4
Assigned to Michael Rubinsky
State ⇒ Assigned
Reply to this comment
This was the original intent. The full event title was only shown to 
users with "Resource Administration" permissions. However, I think 
it's reasonable to show the reservee's name and hide the event title 
instead.


2017-04-12 16:41:37 heinz (at) htl-steyr (dot) ac (dot) at Comment #3 Reply to this comment
getTitle() of the Resource class is checking $this->isPrivate($user)

If true (private) is returned (and that is now the case for all 
resources) the resource title is set to "busy"

behavior until now: the event title (using the resource) and the 
reserver (reserved by: ...) were displayed


maybe the resource itself sould now have a private field in its properties
2017-04-12 15:32:19 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
I don't see any issue with resource functionality in current release. 
Can you please explain exactly what you are seeing, and what you 
expect to see?
2017-04-11 12:40:03 heinz (at) htl-steyr (dot) ac (dot) at Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Resources are now considered as private
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
After updating kronolith the resources are all considered private.
The reason is the change in the solved ticket 14568 with commit 
a32314ab7ee34c05d2915206ad8525efdd1e6032

function isPrivate() of Kronolith_Event now checks READ with 
hasPermission(Horde_Perms::READ)

hasPermission is retrieving the event's share

since calendar resources are not listed in the share database all 
resources are now private


Saved Queries